Subject: Re: [PATCH v2 0/3] Ensure unique worktree ids across repositories

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 09:46:12 +0900

shejialuo <[email-masked]> writes:

> But cross-ref operations between worktrees must explicitly specify the
> worktree id, so I am wondering whether we should allow the user do
> cross-ref operations in the first place:
>
>   1. main worktree symref points to linked worktree ref.
>   2. A linked worktree ref points to another linked worktree ref.

What is a cross-ref operation?  A worktree is either the primary
working tree for a (non-bare) repository, or something added with
"git add worktree" (i.e. whose .git is not the repository but a
link file into the real repository).  Are you adding another mode
where a worktree points at another worktree and not the repository?